Subject: PMP> Understanding RFC 1759 and the new enums (and the PMP web page)

From: Tom Hastings <[email-masked]>
Date: Wed, 19 Mar 1997 15:44:46 PST

There is a vital piece of information that implementors need to know
about the relationship between RFC 1759 and the enums that the PWG
has agreed to since RFC 1759.

These additional enums are intended to be used by implementations conforming
to RFC 1759.  So if you want to know what additional type 2 enums have
been agreed to by the PWG, you need to access the latest version of
the Printer MIB draft that is progressing towards a draft standard.

The latest is about to become an Internet-Draft, but the current committee
draft is available in:

  ftp://ftp.pwg.org/pub/pwg/pmp/drafts/pmib_031897.txt

The textual conventions in the front of this MIB contain all of the
additional enums that an implementation conforming to RFC 1759 can
use and still be conforming to RFC 1759.

Many implementors do NOT realize this and stick only with the enums
that are in RFC 1759.  

I strongly urge the PMP web page be expanded to explain that the
enums expressed as textual conventions in the current draft may be
used when implementing a device that conforms to RFC 1759 so that
implementors, such as Peter Smartt, are not mis-lead into only looking
at RFC 1759 when they implement the Printer MIB.

So the PMP web page should contain a pointer to RFC 1759 and to the
latest draft. And it should explain that implementations conforming to
RFC 1759 may use the textual conventsions in the latest draft.

Everybody agree on this?

Thanks,
Tom

---

From: "Gail Songer" <[email-masked]>
Date: Wed, 19 Mar 1997 15:55:57 -0800

Tom,

I have been working on a FAQ for PMP and it currently contains a pointer to the
RFC1759 and the latest draft.  I could easily add this piece of information at
in the same place or as separate question.

Gail

---

From: Tom Hastings <[email-masked]>
Date: Fri, 21 Mar 1997 17:17:58 PST

Gail,

I went to the IETF home page and bugged the Internet-Draft
and found the permanent URL for all Printer MIB Internet Drafts:

http://www.ietf.org/ids.by.wg/printmib.html

So just provide this URL as the answer to the new question I suggested
in your FAQ, or make it a hot link in the text.

Thanks,
Tom

---

From: "Gail Songer" <[email-masked]>
Date: Fri, 21 Mar 1997 18:04:53 -0800

Tom,

Thanks for the comments.  I have incorporated the text you supplied into the
lastest faq version(which has not yet been sent off).

I already had two links to the current draft.  I replaced the existing direct
links with the url that you supplied and added another instance into your text.

Thanks again,
Gail